ghc-7.10.2: The GHC API

Safe Haskell | None
Language | Haskell2010

HsLit

# Documentation

data HsLit Source

Constructors

HsChar SourceText Char |
HsCharPrim SourceText Char |
HsString SourceText FastString |
HsStringPrim SourceText ByteString |
HsInt SourceText Integer |
HsIntPrim SourceText Integer |
HsWordPrim SourceText Integer |
HsInt64Prim SourceText Integer |
HsWord64Prim SourceText Integer |
HsInteger SourceText Integer Type |
HsRat FractionalLit Type |
HsFloatPrim FractionalLit |
HsDoublePrim FractionalLit |

Instances

Eq HsLit |
Data HsLit |
Outputable HsLit |

data HsOverLit id Source

Constructors

OverLit |
Fields ol_val :: OverLitVal ol_rebindable :: PostRn id Bool ol_witness :: SyntaxExpr id ol_type :: PostTc id Type

Instances

Eq (HsOverLit id) |
DataId id => Data (HsOverLit id) |
Ord (HsOverLit id) |
OutputableBndr id => Outputable (HsOverLit id) |

data OverLitVal Source

Constructors

HsIntegral !SourceText !Integer |
HsFractional !FractionalLit |
HsIsString !SourceText !FastString |

Instances

Eq OverLitVal |
Data OverLitVal |
Ord OverLitVal |
Outputable OverLitVal |

overLitType :: HsOverLit a -> PostTc a Type Source